Todos los móviles Android y iPhone que perderán WhatsApp en 2020

Software

Ha pasado ya más de una década desde la introducción de iOS y de Android como sistemas operativos móviles. Una de las aplicaciones más usadas en ambos sistemas es WhatsApp, que se convirtió en la primera gran aplicación de mensajería para móviles en todo el mundo. Esto le ha obligado a ser compatible con cientos de móviles y dispositivos. Sin embargo, por motivos de desarrollo, anunciaron hace un tiempo que iban a dejar de dar soporte a algunas versiones de móviles antiguos, dejando a muchos usuarios sin la aplicación. Te contamos si estás afectado y las posibles soluciones.

WhatsApp lleva años avisando del fin de soporte para versiones antiguas de los sistemas operativos de nuestros móviles. El pasado 1 de julio de 2019, WhatsApp desapareció de la Microsoft Store, y el próximo 31 de diciembre de 2019, la aplicación dejará de funcionar en Windows Phone. El sistema operativo está muerto, y la propia Microsoft ha marcado el fin de soporte para el último día de 2019.

Desde esta fecha tampoco es posible activar cuentas de WhatsApp en móviles iOS o Android con las versiones antiguas que detallamos a continuación. Y a partir del 1 de febrero de 2020, los usuarios que las tengan activas en sus dispositivos tampoco podrán usarlas ni aunque las tuvieran activas con anterioridad.

Adiós a WhatsApp si no tienes Android 4.0.3 ICS o posterior

En el caso de Android, todas las versiones anteriores a Android 2.3.7 Gingerbread (incluido) dejarán de poder usar WhatsApp a partir del 1 de febrero de 2020. Android 2.3 Gingerbread fue lanzada el 6 de diciembre de 2010 junto con el Nexus S. Posteriormente fue recibiendo diversas actualizaciones, como la versión 2.3.4 en abril de 2011; 2.3.5 en julio de 2011; 2.3.6 en agosto de 2011; y finalmente 2.3.7 el 21 de septiembre de 2011.

samsung galaxy s2 android gingerbread whatsapp

Gingerbread fue la versión que llevaba de serie el popular Samsung Galaxy S2, que luego fue actualizando a más versiones. Otros móviles populares que usaban esta versión fueron el Nexus One, HTC HD2, HTC Hero, HTC Desire, HTC Wildfire, Samsung Galaxy S y Sony Xperia S.

Actualmente, los usuarios que tienen Gingerbread son el 0,3% de los dispositivos Android activos en la actualidad según las últimas estadísticas publicadas en mayo de 2019. Si hay unos 2.500 millones de dispositivos Android activos en todo el mundo, según confirmó Google en la publicación de las cifras de distribución de Android, tenemos unos 7,5 millones de móviles que van a dejar de ser compatibles con WhatsApp.

Google dejó de dar soporte oficial para Gingerbread a principios de 2017, cuando desde la versión 10.2.0 de los Servicios de Google Play se requería tener como mínimo la API 14 (Android 4.0 ICS) en lugar de la API 9, que es Gingerbread. Con ello, muchas apps, incluyendo la de la propia Google, han dejado de funcionar en el sistema operativo por requerir versiones más recientes de los servicios de Google.

Así, para poder usar WhatsApp en Android, es necesario tener al menos Android 4.0.3 Ice Cream Sandwich. Esta versión también ha dejado de ser soportada por Google, ya que pasó de requerir la API 14 a la API 16 (4.1 Jelly Bean) el año pasado.

Para comprobar la versión que tienes en tu móvil puedes ir a Ajustes – Acerca del teléfono, y en Información de software podrás saber si tienes una versión compatible o no.

Por suerte, en Android es probable que tengas solución si por cualquier motivo no quieres cambiar de móvil. En primer lugar, puedes comprobar a ver si hay actualizaciones oficiales disponibles. En el caso de no haberlas, puedes buscar por Internet cómo rootear tu móvil e instalar una versión de Cyanogenmod o LineageOS, que te permitirá tener una versión reciente de Android en tu móvil, aunque no sea la oficial del fabricante.

Si tu iPhone tiene una versión antigua tampoco podrás usarlo

En iOS la situación es también algo compleja, ya que es necesario tener iOS 9 o posterior para poder seguir usando WhatsApp. Si tienes iOS 8 o alguna versión anterior, no podrás usarlo. También hay que tener en cuenta que, si tienes iOS 9, debes tener instalada iOS 9.3.6, o no tendrás acceso a Internet por un fallo relacionado con el GPS del móvil.

iOS 8 fue lanzado en septiembre de 2014, siendo compatible con el iPhone 4S, iPhone 5, iPhone 5C, iPhone 5S, iPhone 6 y iPhone 6 Plus. Por ello, si tienes uno de esos móviles y no lo has actualizado a iOS 9 o posterior, no podrás usar WhatsApp a partir del 1 de febrero de 2020.

Por suerte, el 81,5% de los usuarios con iOS ya tiene iOS 13, mientras que los que tienen iOS 8 o anterior son el 0,3%. Esos porcentajes son en todas las plataformas, por lo que se incluyen iPad y iPod. Si lo limitamos a iPhone, prácticamente ningún móvil de Apple tiene ya iOS, teniendo todos ya un 0,0% de cuota de mercado, pero habrá unos pocos cientos de miles que todavía lo utilicen. Para comprobar qué versión tienes, has de ir a Ajustes – General – Información. Ahí puedes comprobar qué versión de iOS tienes instalada en «Versión de software».

¿Por qué deja WhatsApp de dar soporte a versiones antiguas?

WhatsApp tiene un motivo muy claro para dejar de dar soporte a versiones antiguas de sistemas operativos. Lo primero y más claro es para simplificar el desarrollo, ya que reducen el número de versiones en las que tienen que comprobar las novedades. También pueden incluir novedades más avanzadas que de otra forma no podrían con sistemas operativos antiguos por no poder hacer uso de esas funcionalidades. Además, hacen que la aplicación sea más ligera al reducir el tamaño de las librerías y otros archivos necesarios.

Por tanto, ten cuidado si compras un móvil de segunda mano muy antiguo. Por suerte, si tienes un móvil posterior a 2012, no deberías tener problemas usando WhatsApp si tienes la última versión de software disponible para el mismo.

Escrito por Alberto García

Fuente > ADSLZone